webdevqa.jp.net

互換性のあるターゲットが見つかりませんでした

私は持っています

ターゲットAndroid-4

project.properties内。 Eclipseでプロジェクトを実行すると、エラーが発生します

互換性のあるターゲットが見つかりませんでした

これを解決する方法>

10
Achaius

Android-4(Android 1.6)をサポートするAVDを作成またはAndroid-4 target to Android-8.を変更します

新しいAVDを作成する方法は?

on Eclipse, [Window> Android AVD Manager] select,

you press the [new] button, you can create new Android Virtual Device 
3
Chirag

エミュレータを作成するか、このターゲットと互換性のあるデバイスを使用する必要があります。つまり、デバイスまたはエミュレーターには、このプロジェクトと互換性のあるAndroidバージョンが必要です。

エミュレーターインスタンスを実行するには、仮想Androidデバイスを作成する必要があります。これにはAVDが必要です-Eclipseで[ウィンドウ]-> Android SDK and AVD manager」「CreatenewAVD」をクリックすると、この画面が表示されます。ターゲット以上の仮想デバイスを作成し、プロジェクトを実行してください。

enter image description here

詳細については、このチュートリアルを確認してください: https://developer.Android.com/tools/devices/managing-avds.html

4
Anup Cowkur

project.propertiesでtarget Android-4target Android-15に変更してから、実行中のプロジェクトを更新してください。

1
G M Ramesh

エミュレーターまたは実際のデバイスでアプリを実行できます。

エミュレーターで実行するには、最初に一致する仮想デバイスを作成する必要があります( http://developer.Android.com/tools/devices/index.html を参照)

デバイスで実行するには、デバイスを接続し、適切なUSBドライバーをインストールします( http://developer.Android.com/tools/extras/oem-usb.html を参照)

1
P.Melch

Windowsで開発している場合、デバイスでデバッグするには、最初に次の手順を使用してドライバーをインストールする必要があります。

http://developer.Android.com/tools/extras/oem-usb.html

ドライバーは...\sdk\extras\google\usb_driver \フォルダーにあります。

次に、デバイスでUSBデバッグを有効にする必要があります。

Android 3.2以前を実行しているほとんどのデバイスでは、[設定]> [アプリケーション]> [開発]の下にオプションがあります。

Android 4.0以降では、[設定]> [開発者向けオプション]にあります。

Android 4.2以降では、開発者向けオプションはデフォルトで非表示になっています。利用できるようにするには、[設定]> [端末情報]に移動し、[ビルド番号]を7回タップします。前の画面に戻って開発者向けオプションを見つけます。

0
live-love

携帯電話でアプリケーションを実行しようとしている場合。私は同じ問題を抱えていました、そして私は私のために働く解決策を見つけました:

お使いの携帯電話でSBデバッグを有効にしてみてください。

私はSamsungGalaxy SIIIを持っており、[設定]> [開発者向けオプション]に移動してUSBデバッグを有効にしました。次に、SBデバッグオプションをチェックし、接続時にコンピューターが必要なドライバーをインストールできるようにします。お役に立てれば!

0
Dan-Nolan